ru.bitel.bgbilling.modules.inet.access.sa

## Class ServiceActivatorSet

- java.lang.Object
- - java.util.concurrent.locks.ReentrantLock
  - - ru.bitel.bgbilling.modules.inet.access.sa.ServiceActivatorSet

- All Implemented Interfaces:
    java.io.Serializable, java.util.concurrent.locks.Lock

      public class ServiceActivatorSet
      extends java.util.concurrent.locks.ReentrantLock

  Обертка вокруг набора ServiceActivator.
  Метода init нет, так как туда передаются разные аргументы для каждого ServiceActivator.
  Author:
    amir
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ServiceActivatorSet.ServiceActivatorHolder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceActivatorSet(ServiceActivatorSet.ServiceActivatorHolder[] serviceActivators)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `connect()`
    `boolean` | `connectionClose(ServiceActivatorDeviceWorker device, ServiceActivatorEvent event)`
    `boolean` | `connectionModify(ServiceActivatorDeviceWorker device, ServiceActivatorEvent event)`
    `void` | `destroy()`
    `void` | `disconnect()`
    `boolean` | `isAlive()`
    `boolean` | `onAccountingStart(ServiceActivatorDeviceWorker device, ServiceActivatorEvent event)`
    `boolean` | `onAccountingStop(ServiceActivatorDeviceWorker device, ServiceActivatorEvent event)`
    `boolean` | `serviceCancel(ServiceActivatorDeviceWorker device, ServiceActivatorEvent event)`
    `boolean` | `serviceCreate(ServiceActivatorDeviceWorker device, ServiceActivatorEvent event)`
    `boolean` | `serviceModify(ServiceActivatorDeviceWorker device, ServiceActivatorEvent event)`

    - ### Methods inherited from class java.util.concurrent.locks.ReentrantLock

      `getHoldCount, getOwner, getQueuedThreads, getQueueLength, getWaitingThreads, getWaitQueueLength, hasQueuedThread, hasQueuedThreads, hasWaiters, isFair, isHeldByCurrentThread, isLocked, lock, lockInterruptibly, newCondition, toString, tryLock, tryLock, unlock`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceActivatorSet

          public ServiceActivatorSet(ServiceActivatorSet.ServiceActivatorHolder[] serviceActivators)

  - ### Method Detail

    - #### isAlive

          public boolean isAlive()

    - #### destroy

          public void destroy()

    - #### connect

          public java.lang.Object connect()
                                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### disconnect

          public void disconnect()
                          throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### connectionClose

          public boolean connectionClose(ServiceActivatorDeviceWorker device,
                                         ServiceActivatorEvent event)
                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### connectionModify

          public boolean connectionModify(ServiceActivatorDeviceWorker device,
                                          ServiceActivatorEvent event)
                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### onAccountingStart

          public boolean onAccountingStart(ServiceActivatorDeviceWorker device,
                                           ServiceActivatorEvent event)
                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### onAccountingStop

          public boolean onAccountingStop(ServiceActivatorDeviceWorker device,
                                          ServiceActivatorEvent event)
                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### serviceCancel

          public boolean serviceCancel(ServiceActivatorDeviceWorker device,
                                       ServiceActivatorEvent event)
                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### serviceCreate

          public boolean serviceCreate(ServiceActivatorDeviceWorker device,
                                       ServiceActivatorEvent event)
                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### serviceModify

          public boolean serviceModify(ServiceActivatorDeviceWorker device,
                                       ServiceActivatorEvent event)
                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`